from geo.data.log_context import LogContext


class EditableLogContext(LogContext):
    """EditableLogContext is a LogContext which supports the edit_data method,
       which is used for a user editable LogContext.  When data is edited,
       EditableLogContext dispatches to a method which handles the edit """
    
    def edit_data(self, log_name, data):
        """Replace, from a user edit, log_name with data.  Subclasses should perform the edit operations
        according to the application demand."""
        return
    

