import numpy

from enthought.numerical_modeling.units.unit_array import UnitArray
from enthought.numerical_modeling.numeric_context.api import NumericContext

from enthought.traits.api import Str

class LogContext(NumericContext):
    __index = Str
    
    def __setitem__ ( self, name, value ):
        if len(self.__index) == 0:
            self.__index = name
            
        return super(LogContext, self).__setitem__(name, value)
    
    def __delitem__ ( self, name ):
        if name == self.__index:
            self.__index = ''
        
        return super(LogContext, self).__delitem__(name)
    
    def get_index(self):
        if self.__index == '':
            return None
        return self.get_dotted(self.__index)
    
    def get_index_name(self):
        return self.__index
    
    def set_index(self, name):
        self.__index = name
        return
    
    def edit_data(self, name, data):
        # edit_data passes through here since we don't do anything special when data is edited.

        self[name] = data
        return

    def __getstate__(self):
        """ return dictionary of attributes to pickle. """
        attributes = super(LogContext, self).__getstate__()

        # add the private trait which specifies the index
        attributes['__index'] = self.__index

        return attributes
    
    def __setstate__(self, state):
        super(LogContext, self).__setstate__(state)
        if state.has_key('__index'):
            self.__index = state['__index']
