""" Class for reading information about logs from a csv file.
    File formats supported : .csv

    This header is a subclass of WhitespaceLogHeader

"""

# Geo Library imports
from geo.io.whitespace_log.whitespace_log_header import WhitespaceLogHeader
from geo.io.util import load_header_for_delimited_files

#-------------------------------------------------------------------------------
# CSVLogHeader class
#-------------------------------------------------------------------------------

class CSVLogHeader(WhitespaceLogHeader):
    """ Class to read header of data files which are delimited using commas
    """


    @staticmethod
    def _load_header(file):
        """ Return a list (name, unit) pairs for each of the logs in the file.

            Most of the code is similar to TabbedlogHeader._load_header,
            except the criterion used for splitting the string
        """
        return load_header_for_delimited_files(file, ',')


### EOF ------------------------------------------------------------------------