""" Code for reader class for comma separated files
    File formats supported : .csv

    This reader is the same as WhitespaceLogReader
"""

# ETS library imports
from enthought.traits.api import Str

# Geo library imports
from geo.io.csv_log.csv_log_header import CSVLogHeader
from geo.io.whitespace_log.whitespace_log_reader import WhitespaceLogReader

#-------------------------------------------------------------------------------
# CSVLogReader class
#-------------------------------------------------------------------------------

class CSVLogReader(WhitespaceLogReader):
    #ILogReader interface
    header_class = CSVLogHeader

    # Delimiter used in files.
    delimiter = Str(',')

    # File filter
    file_filter = Str('CSV files (*.csv)|*.csv')
    
### EOF ------------------------------------------------------------------------
