#-----------------------------------------------------------------------------
#
#  Copyright (c) 2007 by Enthought, Inc.
#  All rights reserved.
#
#-----------------------------------------------------------------------------

""" Function module to write arrays, handles float and complex data
"""

# ETS lib imports
import numpy

# Local imports
import _write_array


def write_array(file, ary, format="%f",
                element_separator=" ", line_separator="\n"):
    """ Function to write arrays, handles float and complex data
    """

    # fix me: should we allow integer format strings, or should we
    #         force everything to a float (current behavior).
    func = {}
    #func[Int32] = _write_array.write_array_i
    #func[UInt32] = _write_array.write_array_ui
    func[numpy.float32] = _write_array.write_array_f
    func[numpy.float64] = _write_array.write_array_d
    func[numpy.complex] = _write_array.write_array_F
    func[numpy.complex64] = _write_array.write_array_D

    if typecode(ary) not in func.keys():
        ary = ary.astype(numpy.float64)

    if typecode(ary) in [Complex32, Complex64]:
        format = "%s+%sj" %(format, format)

    write_function = func[typecode(ary)]
    # fix me: should do some work to make sure that format strings are
    # reasonable. (%d with int and %f with float).
    return write_function(file, ary, format, element_separator,
                          line_separator)
