""" Read in a tab-delimited file and create a numeric context
"""

# ETS library imports
from enthought.traits.api import List

# Geo library imports
from geo.io.log_file_reader import LogFileReader
from geo.io.tabbed_log.tabbed_log_header import TabbedLogHeader

class TabbedLogReader(LogFileReader):
    # ILogReader interface
    file_filter = List(['Text files (*.txt)|*.txt',
                        'ASCII files (*.asc)|*.asc',
                        'All files (*.*)|*.*'])
    header_class = TabbedLogHeader

    def seek_to_data(self, file):
        """ Seek to the line where the data in the Las File.
        """

        # Keeping track of number of non-blank lines we have read
        line_count = 0

        # Reading the file until the two header lines (for unit_family and
        # units) have been read
        line = '\n'

        # Checking until end-of-file if needed
        while line != '':
            line = file.readline().strip()

            if line == '' or line == '\n':
                pass
            else:
                line_count += 1

                # If we finished reading the two header lines, we have found the
                # right position in the file to read data
                if line_count == 2:
                    return



