# Enthought Library imports
from enthought.traits.ui.api import Group, VGroup, Item, View, TableEditor
from enthought.traits.ui.table_column import ObjectColumn

# Local UI Imports
from square_checkbox_column import SquareCheckboxColumn
from units_column import UnitsColumn

header_columns = [SquareCheckboxColumn(name = 'load',label = '  Load  '),
                  ObjectColumn(name='input_name', label='Name in File',
                               editable=False),
                  UnitsColumn(name='input_units', label='Units in File'),
                  ObjectColumn(name='description', label='Description',
                               editable=False),
                  ObjectColumn(name='desired_name', label='Desired Name'),
                  UnitsColumn(name='desired_units', label='Desired Units'),
                 ]

log_info_editor = TableEditor(columns = header_columns,
                            configurable=False,
                            sortable=False,
                            selection_bg_color = None,
                            )

log_reader_info_view = View(Item('well_name', label='Log suite name'),
                            Group(Item('log_info',editor=log_info_editor,
                                       show_label=False
                                  ),
                            ),
                            width=750,
                            height = 600,
                            resizable=True
                       )

if __name__ == "__main__":
    from geo.io.las.las_log_reader import LasLogReader

    file_name = r"C:\wrk\cp\src\lib\cp\io\tests\sample.las"

    las_reader = LasLogReader()
    info = las_reader.read_info(file_name)

    info.configure_traits(view=log_reader_info_view)
