""" Code for header class for whitespace-delimited files
    File formats supported : LOT, MDT,

    This header is a subclass of TabbedLogHeader
"""

# Enthought library imports
from enthought.traits.api import List

# Geo Library imports
from geo.io.tabbed_log.tabbed_log_header import TabbedLogHeader
from geo.io.util import load_header_for_delimited_files

class WhitespaceLogHeader(TabbedLogHeader):
    """ Class to read header of data files which are delimited using whitespace
    """

    _unitless_strings = List(['_'])

    @staticmethod
    def _load_header(file):
        """ Return a list (name, unit) pairs for each of the logs in the file.
        """
        return load_header_for_delimited_files(file)


### EOF ------------------------------------------------------------------------